Page MenuHomePhabricator

Deploy the Commons deletion notification bot on Serbian Wikipedia
Closed, ResolvedPublic

Description

Per proposal, Serbian Wikimedia community would like to have "Commons deletion notification bot" enabled.

Translations are already done.

Event Timeline

Kizule created this task.Sep 22 2020, 2:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2020, 2:58 AM
Kizule changed the task status from Open to Stalled.Sep 22 2020, 3:00 AM

I created this task so that I would not forget later. Let's wait until the 26th for final decision.

Removing Commons - see its description

Removing Commons - see its description

@Aklapper I've used T256527: Deploy the Commons deletion notification bot on nl.wiktionary [[SMALL]] as "source" which projects I should add in task. It has Commons project. And T257108: Deploy the Commons deletion notification bot on arwiki also. Why my shouldn't?

Ah, I'm sorry! My fault!

ifried renamed this task from Deploy the Commons deletion notification bot on Serbian Wikipedia to Deploy the Commons deletion notification bot on Serbian Wikipedia [wait till Sept 26 for final decision].Sep 22 2020, 5:51 PM
Kizule renamed this task from Deploy the Commons deletion notification bot on Serbian Wikipedia [wait till Sept 26 for final decision] to Deploy the Commons deletion notification bot on Serbian Wikipedia.Sep 26 2020, 12:53 PM
Kizule changed the task status from Stalled to Open.
Kizule claimed this task.
Restricted Application added a project: User-Kizule. · View Herald TranscriptSep 26 2020, 12:53 PM

No objections on proposal, so I'm going to make pull request on GitHub.

Kizule moved this task from Inbox to Working on on the User-Kizule board.
Kizule moved this task from Working on to To deploy on the User-Kizule board.Sep 26 2020, 1:04 PM
Kizule moved this task from To deploy to Watching on the User-Kizule board.Sep 30 2020, 8:30 PM

Merged and deployed, now waiting for the bot to edit https://sr.wikipedia.org/wiki/Special:Contribs/Community_Tech_bot

Thanks! I'm waiting also. :)

I've uploaded https://commons.wikimedia.org/wiki/File:Test_image_-_srwiki.gif at 22:17 (UTC +2), created test page on srwiki (https://sr.wikipedia.org/wiki/Testna_stranica), added image, nominated file on commonswiki for speedydeletion. But bot haven't made any edits..

Commons admin here -- do you want the file deleted, or do you need it to continue to sit with the tag for now?

Kizule added a comment.Oct 1 2020, 2:36 AM

Commons admin here -- do you want the file deleted, or do you need it to continue to sit with the tag for now?

@AntiCompositeNumber It should be deleted, as I've deleted test page on Serbian Wikipedia.

FileNotFoundError: [Errno 2] No such file or directory: '/mnt/nfs/labstore-secondary-tools-project/commtech-commons/bot/i18n/sr.json'

It looks like translations were added to sr-ec, not sr. @Kizule Do you know why this is? The language code for sr.wikipedia.org is in fact sr https://sr.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=general. I can move it on our end (no need to manually copy the translations on translatewiki.net), but I wanted to make sure I'm not missing something.

Kizule added a comment.EditedOct 1 2020, 4:29 PM
FileNotFoundError: [Errno 2] No such file or directory: '/mnt/nfs/labstore-secondary-tools-project/commtech-commons/bot/i18n/sr.json'

It looks like translations were added to sr-ec, not sr. @Kizule Do you know why this is? The language code for sr.wikipedia.org is in fact sr https://sr.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=general. I can move it on our end (no need to manually copy the translations on translatewiki.net), but I wanted to make sure I'm not missing something.

@MusikAnimal Serbian language have two variants: Cyrillic (sr-ec) and Latin (sr-el). In configuration, sr fallbacks to sr-ec. And translating on translatewiki.net for sr is disabled because of these reasons.

@MusikAnimal Serbian language have two variants: Cyrillic (sr-ec) and Latin (sr-el). In configuration, sr fallbacks to sr-ec. And translating on translatewiki.net for sr is disabled because of these reasons.

Oh interesting. These fallback rules unfortunately aren't implemented in the bot, it seems... hmm. Having a sr.json definitely seems to be a thing on translatewiki.net (see XTools' sr.json, for example). I've asked TWN staff if it's safe to symlink sr.json to sr-el.json, that way you can still edit the translations, or if we have to implement the fallbacks in the bot.

Kizule added a comment.EditedOct 1 2020, 4:43 PM

@MusikAnimal Serbian language have two variants: Cyrillic (sr-ec) and Latin (sr-el). In configuration, sr fallbacks to sr-ec. And translating on translatewiki.net for sr is disabled because of these reasons.

Oh interesting. These fallback rules unfortunately aren't implemented in the bot, it seems... hmm. Having a sr.json definitely seems to be a thing on translatewiki.net (see XTools' sr.json, for example). I've asked TWN staff if it's safe to symlink sr.json to sr-el.json, that way you can still edit the translations, or if we have to implement the fallbacks in the bot.

Okay, thanks. But, sr.json should symlink to sr-ec.json, no sr-el.json.

Kizule added a comment.EditedOct 1 2020, 4:54 PM

@MusikAnimal I think that here should be added alias: sr -> sr-ec.

Pull request: https://github.com/wikimedia/CommonsNotifier/pull/15

@MusikAnimal I think that here should be added alias: sr -> sr-ec.

Pull request: https://github.com/wikimedia/CommonsNotifier/pull/15

Merged, thank you :) You know more about the code base than we do, hehe! Feel free to run the test once more. Either way I'll be monitoring https://sr.wikipedia.org/wiki/Special:Contribs/Community_Tech_bot

Kizule added a comment.Oct 1 2020, 8:21 PM

@MusikAnimal I think that here should be added alias: sr -> sr-ec.

Pull request: https://github.com/wikimedia/CommonsNotifier/pull/15

Merged, thank you :) You know more about the code base than we do, hehe! Feel free to run the test once more. Either way I'll be monitoring https://sr.wikipedia.org/wiki/Special:Contribs/Community_Tech_bot

You're welcome, mistakes can happen, but we usually learn from them. I'm monitoring contributions too.

For testing purposes, I've reverted my "test page" on Serbian Wikipedia from yesterday (https://sr.wikipedia.org/wiki/Testna_stranica) and tagged random file on Commons for speedy deletion (https://commons.wikimedia.org/wiki/File:Test_image_portrait_WIKIPEDIA_DE.svg) with note that file shouldn't be deleted really.

MusikAnimal added a comment.EditedOct 5 2020, 6:32 PM

@Kizule Where do we stand with the bot? I see now it has edited numerous times: https://sr.wikipedia.org/wiki/Special:Contribs/Community_Tech_bot. Does these look correct to you?

I do not know why your test didn't work :( If that needs more investigation, we'll need to create a new ticket and triage accordingly. If you're otherwise happy with the bot's performance, we'll let it continue to run as-is.

Kizule added a comment.Oct 6 2020, 2:21 AM

@Kizule Where do we stand with the bot? I see now it has edited numerous times: https://sr.wikipedia.org/wiki/Special:Contribs/Community_Tech_bot. Does these look correct to you?

I do not know why your test didn't work :( If that needs more investigation, we'll need to create a new ticket and triage accordingly. If you're otherwise happy with the bot's performance, we'll let it continue to run as-is.

@MusikAnimal As I see, currently bot works for everything, but only not for "speedy deletions". When I upload some random file on Commons, or find some unused "test" file, and nominate it for "speedy deletion" (sure, I add it on test page on Serbian Wikipedia), bot won't send message on talk page.

Maybe we should close this task as resolved, and open "dedicated task" for "bug report"?

Kizule closed this task as Resolved.EditedOct 6 2020, 2:55 AM

Seems that I'm doing something wrong, bot works and for speedy deletion. I'm closing this task as resolved. :)

Okay, glad to hear it is working! If you ever are convinced there is an issue, do please feel free to create a new task. Thanks!